/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
body{
	background-color: #131327 !important;
}
p#breadcrumbs, a.prev.page-numbers, a.page-numbers, span.page-numbers.current, span.catPost a {
    color: #fff;
}
p#breadcrumbs {
    margin-bottom: 20px;
}
h2.wp-block-heading{
	color: #2D4DEC;
}
h2.titlePost {
    margin: 0;
}
.listPost {
    display: flex;
    flex-wrap: wrap;
}
.postArticle, .contPost, .innerContPost {
    display: flex;
    flex-direction: column;
}
.postArticle > a {
    line-height: 0;
}
img.imgPost {
    aspect-ratio: 1.91 / 1;
    width: 100%;
    object-fit: cover;
}
.contPost {
    background: white;
    border-bottom: 3px solid #2D4DEC;
}
.contPost, .innerContPost {
	flex: 1;
}
.listCatPost {
    display: flex;
    grid-gap: 5px;
}
span.catPost {
    background: #2D4DEC;
    text-transform: uppercase;
    font-weight: bold;
    padding: 2px 6px;
	width: fit-content;
}
h2.titlePost a, span.nomeAutore a, span.dataPost{
    color: #131327;
}
.metaPost {
    display: flex;
    justify-content: space-between;
	margin-top: auto;
}
aside#block-3 {
    background-color: transparent;
}
@media (max-width: 550px){
	.contPost {
        padding: 2.5vw;
    }
}
@media (min-width: 551px) and (max-width: 766.9px){
	.contPost {
        padding: 3vw;
    }
}
@media (max-width: 766.9px){
    .listPost {
        grid-gap: 6vw 4vw;
    }
    .postArticle {
        flex: 0 0 calc((100% - 4vw) / 2);
    }
    .contPost {
        grid-gap: 1.5vw;
    }
	span.catPost {
        font-size: 1.83vw;
        line-height: 2vw;
    }
    .innerContPost {
        grid-gap: 2vw;
    }
	h2.titlePost {
        font-size: 3.24vw;
        line-height: 3.5vw;
    }
    span.nomeAutore, span.dataPost {
        font-size: 1.47vw;
        line-height: 1.5vw;
    }
}
@media (min-width: 767px) and (max-width: 899.9px){
	.contPost, .innerContPost {
        grid-gap: 1.2vw;
    }
	span.catPost{
		font-size: 1.67vw;
		line-height: 2vw;
	}
	h2.titlePost {
		font-size: 2.79vw;
        line-height: 3vw;
	}
	span.nomeAutore, span.dataPost {
        font-size: 1.12vw;
    }
}
@media (min-width: 767px) and (max-width: 1400px){
	.listPost {
        grid-gap: 4vw 3vw;
    }
    .postArticle {
        flex: 0 1 calc((100% - 3vw) / 2);
    }
	.contPost {
        padding: 2vw;
    }
}
@media (min-width: 900px) and (max-width: 1099.9px){
	span.catPost{
		font-size: 1.37vw;
		line-height: 1.6vw;
	}
	h2.titlePost {
		font-size: 2.28vw;
        line-height: 2.5vw;
	}
	span.nomeAutore, span.dataPost {
        font-size: 0.91vw;
    }
}
@media (min-width: 900px) and (max-width: 1400px){
    div#content {
        grid-gap: 4vw;
    }
	.contPost, .innerContPost{
		grid-gap: 0.8vw;
	}
}
@media (min-width: 1100px) and (max-width: 1400px){
    span.catPost {
        font-size: 1.08vw;
		line-height: 1.2vw;
    }
	h2.titlePost {
        font-size: 1.79vw;
        line-height: 2vw;
    }
	span.nomeAutore, span.dataPost {
        font-size: 0.72vw;
    }
}
@media (min-width: 1401px){
	div#content {
        grid-gap: 40px;
    }
	.listPost {
		grid-gap: 40px 30px;
	}
	.postArticle {
        flex: 0 1 calc((100% - 30px) / 2);
    }
	.contPost, .innerContPost {
        grid-gap: 10px;
    }
	.contPost {
		padding: 20px;
		padding-bottom: 10px;
    }
    span.catPost {
        font-size: 15px;
		line-height: 18px;
    }
    h2.titlePost {
        font-size: 25px;
		line-height: 28px;
    }
    span.nomeAutore, span.dataPost {
        font-size: 10px;
    }
}